---
title: Get information about a custom blocklist
slug: campaign/api/get-information-about-a-custom-blocklist
docTags: 
createdAt: 2026-09-02T15:04:15.718Z
---

{
  "id": "Xc3tXQ9owm0xK9saEMONa",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.campaign.episerver.net/rest/{clientId}/customblacklists/{customBlacklistId}",
    "servers": [
      {
        "url": "https://api.campaign.episerver.net/rest/{clientId}/customblacklists/{customBlacklistId}"
      }
    ],
    "name": "Get information about a custom blocklist",
    "description": "<p>Get detailed information about a custom blocklist, such as name or hash algorithm.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "clientId",
          "type": "integer<int64>",
          "description": "Client ID",
          "format": "int64"
        },
        {
          "kind": "required",
          "name": "customBlacklistId",
          "type": "integer<int64>",
          "description": "Custom blocklist ID",
          "format": "int64"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/vnd.optivo.broadmail.v1+json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Authorization",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "The custom blocklist was retrieved successfully.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "RestCustomBlacklist",
            "schema": [
              {
                "name": "id",
                "kind": "optional",
                "type": "integer<int64>",
                "description": "Custom blocklist ID",
                "format": "int64"
              },
              {
                "name": "name",
                "kind": "optional",
                "type": "string",
                "description": "Name of the custom blocklist"
              },
              {
                "name": "hashAlgorithm",
                "kind": "optional",
                "type": "string<NONE | MD5 | SHA1 | SHA2_256 | SHA2_512 | SHA2_256_OF_MD5_AND_DATA>",
                "description": "Hash algorithm of the custom blocklist",
                "enum": [
                  "NONE",
                  "MD5",
                  "SHA1",
                  "SHA2_256",
                  "SHA2_512",
                  "SHA2_256_OF_MD5_AND_DATA"
                ]
              },
              {
                "name": "created",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "Creation date",
                "format": "date-time"
              },
              {
                "name": "modified",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "Modification date",
                "format": "date-time"
              },
              {
                "name": "links",
                "kind": "optional",
                "type": "array",
                "description": "Restful links",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "uriBuilder",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "example": "",
                    "schema": []
                  },
                  {
                    "name": "rels",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "rel",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "type",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "params",
                    "kind": "optional",
                    "type": "map",
                    "description": "",
                    "example": "",
                    "customType": "map<string, string>",
                    "schema": []
                  },
                  {
                    "name": "title",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "uri",
                    "kind": "optional",
                    "type": "string<uri>",
                    "description": "",
                    "format": "uri"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/RestCustomBlacklist",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "The custom blocklist could not be found. Ensure that the required parameters such as \"customBlacklistId\" are correct and the custom blocklist exists.",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "409",
        "description": "The custom blocklist could not be transmitted. Ensure that the required parameters such as \"customBlacklistId\" are correct and the custom blocklist exists.",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "11HAjqwii2uFqPMfm99Z9",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.campaign.episerver.net/rest/{clientId}/customblacklists/{customBlacklistId} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "2a99EDRSmcNbCZvFzOxOf",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.campaign.episerver.net/rest/{clientId}/customblacklists/{customBlacklistId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "xJ2BxrjLhHf-2qnX6gQ3H",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.campaign.episerver.net/rest/{clientId}/customblacklists/{customBlacklistId}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "mZ2dQoOW4fTTr0dm5Y7LY",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.campaign.episerver.net/rest/{clientId}/customblacklists/{customBlacklistId}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "11HAjqwii2uFqPMfm99Z9"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// The custom blocklist was retrieved successfully.\n{\n  \"id\": \"\",\n  \"name\": \"\",\n  \"hashAlgorithm\": \"\",\n  \"created\": \"\",\n  \"modified\": \"\",\n  \"links\": [\n    {\n      \"uriBuilder\": {},\n      \"rels\": [\n        \"\"\n      ],\n      \"rel\": \"\",\n      \"type\": \"\",\n      \"params\": \"\",\n      \"title\": \"\",\n      \"uri\": \"\"\n    }\n  ]\n}"
        },
        {
          "id": "response-1-404",
          "language": "404",
          "code": "// The custom blocklist could not be found. Ensure that the required parameters such as \"customBlacklistId\" are correct and the custom blocklist exists.\n"
        },
        {
          "id": "response-2-409",
          "language": "409",
          "code": "// The custom blocklist could not be transmitted. Ensure that the required parameters such as \"customBlacklistId\" are correct and the custom blocklist exists.\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}